qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Porto <Joe.Po...@agilex.com>
Subject Re: Build qpid C++ broker on CentOS
Date Wed, 09 Nov 2011 20:50:46 GMT
Doing a yum intall of libuuid-devel worked!

Thanks guys for the fast response!

However, now the make fails…


libtool: Version mismatch error.  This is libtool 2.4 but the
libtool: definition of this LT_INIT comes from libtool 2.2.6b.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4
libtool: and run autoconf again.



From: Jose Pedro Oliveira <jpo@di.uminho.pt<mailto:jpo@di.uminho.pt>>
Reply-To: "users@qpid.apache.org<mailto:users@qpid.apache.org>" <users@qpid.apache.org<mailto:users@qpid.apache.org>>,
"jpo@di.uminho.pt<mailto:jpo@di.uminho.pt>" <jpo@di.uminho.pt<mailto:jpo@di.uminho.pt>>
Date: Wed, 9 Nov 2011 15:37:44 -0500
To: "users@qpid.apache.org<mailto:users@qpid.apache.org>" <users@qpid.apache.org<mailto:users@qpid.apache.org>>
Subject: Re: Build qpid C++ broker on CentOS

On 2011-11-09 20:32, Joe Porto wrote:
I'm trying to build the qpid C++ broker on CentOS.  The configure command is errors out with
a 'Missing required header files.'  The preceding line is "checking for uuid/uuid.h…no"
What am I missing?

You need to install one of the following RPMs

RHEL5/CentOS5
-------------

$ rpm -qf /usr/include/uuid/uuid.h
e2fsprogs-devel-1.39-33.el5


RHEL6/CentOS6
-------------
$ rpm -qf /usr/include/uuid/uuid.h
libuuid-devel-2.17.2-12.el6.x86_64


jpo
--
José Pedro Oliveira
* mailto:jpo@di.uminho.pt *

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message